## class Fl_GIF_Image

### Class Hierarchy

    Fl_Pixmap
       |
       +----Fl_GIF_Image

### Include Files

    #include <FL/Fl_GIF_Image.H>

### Additional Libraries

    -lfltk_images  /  fltkimages.lib

### Description

The `Fl_GIF_Image` class supports loading, caching, and drawing of Compuserve GIFSM images. The class loads the first image and supports transparency.

### Methods

- Fl_GIF_Image
- ~Fl_GIF_Image

#### Fl_GIF_Image::Fl_GIF_Image(const char *filename);

The constructor loads the named GIF image.

#### Fl_GIF_Image::~Fl_GIF_Image();

The destructor free all memory and server resources that are used by the image.